Installation guide

You can install .NET Framework on various Windows versions.

Note

.NET Framework 4.8 is the last version of .NET Framework. .NET Framework is serviced monthly with security and reliability bug fixes. .NET Framework will continue to be included with Windows, with no plans to remove it. You don't need to migrate your .NET Framework apps, but for new development, use .NET 5 or later.

If you need to install .NET Framework 2.0 through 3.5, see Install .NET Framework 3.5 on Windows 11, Windows 10, Windows 8.1, and Windows 8.

Supported Windows versions

Unsupported Windows versions

See also